Bug 994979 - ocf-shellfuncs script is not working
ocf-shellfuncs script is not working
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: resource-agents (Show other bugs)
6.4
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: David Vossel
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 06:32 EDT by Joaquin Fernandez Llamas
Modified: 2014-04-13 13:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-27 09:18:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joaquin Fernandez Llamas 2013-08-08 06:32:32 EDT
Description of problem:

HA Cluster for an Oracle DB is not working.

Version-Release number of selected component (if applicable):

Version     : 3.9.2
Release     : 21.el6_4.3

How reproducible:

Always happens with Oracle DB cluster.


Steps to Reproduce:
1. Create an Oracle DB cluster
2. Execute rg_test to test the service

Actual results:

Error after validating the configuration for Oracle DB.

Expected results:

Start of the Oracle DB completed

Additional info:

The output from rg_test shows an error calling the script:
/usr/share/cluster/ocf-shellfuncs

Output:
basename: missing operand
Try `basename --help' for more information.

I see the error comes from this file: /usr/share/cluster/ocf-shellfuncs
in line: __LOG_NAME=$(basename $(readlink /proc/$PPID/exe))
Comment 3 Fabio Massimo Di Nitto 2014-02-27 09:18:53 EST
Oracle DB agent has been tested recently and this error this not show up. Most likely an error in Oracle DB agent triggering the LOG from ocf-shellfuncs.

Please feel free to reopen the bug if it´s still an issue and provide cluster.conf so that we can reproduce your setup.
Comment 4 ERIK.JIANG 2014-04-13 13:48:04 EDT
I got the same issue yet..

version:resource-agents-3.9.2-40.el6_5.7.x86_64
OS:centos 6.5

Note You need to log in before you can comment on or make changes to this bug.